linux: 3.0.0-15.25 -proposed tracker

Bug #910894 reported by Brad Figg on 2012-01-02
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Brad Figg
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-15.25 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 02. January 2012 16:08 UTC
kernel-stable-Prepare-package-end:Tuesday, 03. January 2012 05:48 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 03. January 2012 05:48 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 03. January 2012 07:45 UTC
kernel-stable-Verification-testing-start:Tuesday, 03. January 2012 07:45 UTC
kernel-stable-Verification-testing-end:Monday, 09. January 2012 09:00 UTC
kernel-stable-Certification-testing-start:Monday, 09. January 2012 09:00 UTC
kernel-stable-Security-signoff-start:Monday, 09. January 2012 09:00 UTC
kernel-stable-Regression-testing-start:Monday, 09. January 2012 09:00 UTC
kernel-stable-Security-signoff-end:Tuesday, 10. January 2012 17:15 UTC
kernel-stable-Certification-testing-end:Thursday, 12. January 2012 11:45 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 18. January 2012 18:00 UTC
kernel-stable-Regression-testing-end:Wednesday, 18. January 2012 18:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 20. January 2012 09:32 UTC
kernel-stable-Promote-to-updates-end:Friday, 20. January 2012 09:32 UTC

Brad Figg (brad-figg) on 2012-01-02
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Oneiric):
status: New → Confirmed

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 911102

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 911103

description: updated
Martin Pitt (pitti) on 2012-01-03
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-01-03
description: updated
Tobin Davis (gruemaster) wrote :

Any way the omap packages can be auto-dumped in main-proposed as opposed to universe-proposed?

Brad Figg (brad-figg) on 2012-01-09
description: updated

Hardware Certification have begun testing this kernel.

John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-01-10
description: updated

Hardware Certification has finished testing 53/53 systems with the -proposed kernel. No regressions were detected. The report is available at: http://people.canonical.com/~hwcert/sru-testing/wk2_2012/oneiric-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-01-12
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-01-18
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (13.9 KiB)

This bug was fixed in the package linux - 3.0.0-15.25

---------------
linux (3.0.0-15.25) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #910894

  [ Upstream Kernel Changes ]

  * Revert "clockevents: Set noop handler in clockevents_exchange_device()"
    - LP: #904569

linux (3.0.0-15.24) oneiric-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #903188

  [ Alex Bligh ]

  * (config) Change Xen paravirt drivers to be built-in
    - LP: #886521

  [ Chase Douglas ]

  * Revert "SAUCE: HID: hid-ntrig: add support for 1b96:0006 model"
    - LP: #724831
  * Revert "SAUCE: hid: ntrig: Remove unused device ids"
    - LP: #724831

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Upstream Kernel Changes ]

  * Revert "leds: save the delay values after a successful call to
    blink_set()"
    - LP: #893741
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * drm/i915: fix IVB cursor support
    - LP: #893222
  * drm/i915: always set FDI composite sync bit
    - LP: #893222
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * ALSA: hda - Don't add elements of other codecs to vmaster slave
    - LP: #893741
  * virtio-pci: fix use after free
    - LP: #893741
  * ASoC: Don't use wm8994->control_data in wm8994_readable_register()
    - LP: #893741
  * sh: Fix cached/uncaced address calculation in 29bit mode
    - LP: #893741
  * drm/i915: Fix object refcount leak on mmappable size limit error path.
    - LP: #893741
  * drm/nouveau: initialize chan->fence.lock before use
    - LP: #893741
  * drm/radeon/kms: make an aux failure debug only
    - LP: #893741
  * ALSA: usb-audio - Check the dB-range validity in the later read, too
    - LP: #893741
  * ALSA: usb-audio - Fix the missing volume quirks at delayed init
    - LP: #893741
  * KEYS: Fix a NULL pointer deref in the user-defined key type
    - LP: #893741
  * hfs: add sanity check for file name length
    - LP: #893741
  * drm/radeon: add some missing FireMV pci ids
    - LP: #893741
  * sfi: table irq 0xFF means 'no interrupt'
    - LP: #893741
  * x86, mrst: use a temporary variable for SFI irq
    - LP: #893741
  * b43: refuse to load unsupported firmware
    - LP: #893741
  * md/raid5: abort any pending parity operations when array fails.
    - LP: #893741
  * mfd: Fix twl4030 dependencies for audio codec
    - LP: #893741
  * xen:pvhvm: enable PVHVM VCPU placement when using more than 32 CPUs.
    - LP: #893741
  * xen-gntalloc: integer overflow in gntalloc_ioctl_alloc()
    - LP: #893741
  * xen-gntalloc: signedness bug in add_grefs()
    - LP: #893741
  * powerpc/ps3: Fix lost SMP IPIs
    - LP: #893741
  * powerpc: Copy down exception vectors after feature fixups
    - LP: #893741
  * backing-dev: ensure wakeup_timer is deleted
    - LP: #893741
  * block: Always check length of all iov entries in blk_rq_map_user_iov()
    - LP: #893741
  * Linux 3.0.10
    - LP: #893741
  * drm/i915: add multi-threaded forcewake support
    - LP: #891270
  * (pre-sta...

Changed in linux (Ubuntu Oneiric):
status: Confirmed → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
papukaija (papukaija) wrote :

Could someone explain what's going on? The bug 810093 (that was supposed to be fixed in 3.0.0-15.25 but is not) is marked as verfication-failed and yet this new kernel was released...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions